nodes / vncshell
1 operation.
POST /nodes/{node}/vncshell
ts
proxmox.nodes.$(node).vncshell.$post()Creates a VNC Shell proxy.
Returns any.
| Parameter | Type | Required | Notes |
|---|---|---|---|
cmd | ceph_install | login | upgrade | Run specific command or default to login (requires 'root@pam') — default "login" | |
cmd-opts | string | Add parameters to a command. Encoded as null terminated strings. — default "" | |
height | number | sets the height of the console in pixels. — min 16, max 2160 | |
node | string | yes | The cluster node name. — format pve-node |
websocket | boolean | use websocket instead of standard vnc. | |
width | number | sets the width of the console in pixels. — min 16, max 4096 |